Subject: [Emu] draft-ietf-emu-eap-tls13-11: Editorial

From: Hannes Tschofenig <[email-masked]>
Date: Wed, 21 Oct 2020 09:07:52 +0000

Hi all,

there are lots of editorial bugs in the text. I noticed many missing commas, missing articles, etc.

I know that the RFC Editor does a great job in correcting all of those errors but we have to do our work as well.

It would also be good to be consistent with the terms. How do you want to want to distinguish between EAP-TLS based on RFC 5216 and EAP-TLS with TLS 1.3? Sometimes it is possible to understand this from the context because certain features are not available in TLS 1.2 or have different names but it will help those who are less familiar with the history of TLS to be precise.

The terms EAP-TLS peer, EAP-TLS, and EAP peer seem to be used interchangeably. It would be good to use the terms consistently.

Here is an example from Section 5.8:

"
EAP peers SHOULD use record padding, see
   Section 5.4 of [RFC8446] to reduce information leakage of certificate
   sizes.
"

In this example the reader is asked to understand that we are not talking about the EAP layer, nor about EAP-TLS with RFC 5216 but about the client and the server of EAP-TLS with TLS 1.3.

Ciao
Hannes
IMPORTANT NOTICE: The contents of this email and any attachments are confidential and may also be privileged. If you are not the intended recipient, please notify the sender immediately and do not disclose the contents to any other person, use it for any purpose, or store or copy the information in any medium. Thank you.